Configuration (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.configuration

## Interface Configuration

- All Known Implementing Classes:
    DefaultConfiguration

      public interface Configuration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String key)`
    `java.lang.String` | `getAttribute(java.lang.String key, java.lang.String defaultValue)`
    `boolean` | `getAttributeAsBoolean(java.lang.String key, boolean defaultValue)`
    `float` | `getAttributeAsFloat(java.lang.String key)`
    `float` | `getAttributeAsFloat(java.lang.String key, float defaultValue)`
    `int` | `getAttributeAsInteger(java.lang.String key, int defaultValue)`
    `java.lang.String[]` | `getAttributeNames()`
    `Configuration` | `getChild(java.lang.String key)`
    `Configuration` | `getChild(java.lang.String key, boolean required)`
    `Configuration[]` | `getChildren(java.lang.String key)`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getValue()`
    `java.lang.String` | `getValue(java.lang.String defaultValue)`
    `boolean` | `getValueAsBoolean()`
    `boolean` | `getValueAsBoolean(boolean defaultValue)`
    `float` | `getValueAsFloat()`
    `float` | `getValueAsFloat(float defaultValue)`
    `int` | `getValueAsInteger()`
    `int` | `getValueAsInteger(int defaultValue)`

- - ### Method Detail

    - #### getChild

          Configuration getChild(java.lang.String key)

    - #### getChild

          Configuration getChild(java.lang.String key,
                                 boolean required)

    - #### getChildren

          Configuration[] getChildren(java.lang.String key)

    - #### getAttributeNames

          java.lang.String[] getAttributeNames()

    - #### getAttribute

          java.lang.String getAttribute(java.lang.String key)
                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getAttribute

          java.lang.String getAttribute(java.lang.String key,
                                        java.lang.String defaultValue)

    - #### getAttributeAsBoolean

          boolean getAttributeAsBoolean(java.lang.String key,
                                        boolean defaultValue)

    - #### getAttributeAsFloat

          float getAttributeAsFloat(java.lang.String key)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getAttributeAsFloat

          float getAttributeAsFloat(java.lang.String key,
                                    float defaultValue)

    - #### getAttributeAsInteger

          int getAttributeAsInteger(java.lang.String key,
                                    int defaultValue)

    - #### getValue

          java.lang.String getValue()
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getValue

          java.lang.String getValue(java.lang.String defaultValue)

    - #### getValueAsBoolean

          boolean getValueAsBoolean()
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getValueAsBoolean

          boolean getValueAsBoolean(boolean defaultValue)

    - #### getValueAsInteger

          int getValueAsInteger()
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getValueAsInteger

          int getValueAsInteger(int defaultValue)

    - #### getValueAsFloat

          float getValueAsFloat()
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getValueAsFloat

          float getValueAsFloat(float defaultValue)

    - #### getLocation

          java.lang.String getLocation()

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.